Skip to content

Delete a custom object field

Platform module

DELETE/custom-object-fields/{id}customObjectFields.delete

A typed field of a custom object type. Soft-deletes the custom object field: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability org.custom_objects.write.
  • OAuth scopes: org.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

customObjectFields.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the custom object field.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/custom-object-fields/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.customObjectFields.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.custom_object_fields.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos custom-object-fields delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f